# JSDoc: Class: BezierCurve

# Class: BezierCurve

## BezierCurve()

#### new BezierCurve()

BezierCurve object draw as bezier curve between two points.

Source:
  - objects/BezierCurve.js, line 13

### Members

#### dashPattern

Dash line pattern to be used, if empty draws a solid line. Dash parttern is defined as the size of dashes as pairs of space with no line and with line. E.g if the daspattern is [1, 2] we get 1 point with line, 2 without line repeat infinitelly.

Source:
  - objects/BezierCurve.js, line 48

#### from

Initial point of the curve. Can be equal to the position object of another object. (Making it automatically follow that object.)

Source:
  - objects/BezierCurve.js, line 22

#### fromCp

Intial position control point, indicates the tangent of the bezier curve on the first point.

Source:
  - objects/BezierCurve.js, line 27

#### lineWidth

Line width of the line.

Source:
  - objects/BezierCurve.js, line 58

#### strokeStyle

Style of the object line.

Source:
  - objects/BezierCurve.js, line 53

#### to

Final point of the curve. Can be equal to the position object of another object. (Making it automatically follow that object.)

Source:
  - objects/BezierCurve.js, line 34

#### toCp

Final position control point, indicates the tangent of the bezier curve on the last point.

Source:
  - objects/BezierCurve.js, line 39

### Methods

#### (static) curveHelper()

Create a bezier curve helper, to edit the bezier curve anchor points.

Source:
  - objects/BezierCurve.js, line 68